import { mergeTypography } from "../om/expand.mjs";
import { pipe } from "../om/index.mjs";
import { resolveAll } from "../resolve/index.mjs";
import { stylizeAll } from "../style/index.mjs";

export const pipeResolve = node => pipe(
  resolveAll,
  stylizeAll,
  mergeTypography,
)(node);
