import { px } from "../style/styles.mjs";

export const shadow = (endpointValue) => {
  // console.log(endpointValue);
  const { x, y, blur, spread, color, type } = endpointValue;
  return `${type==="innerShadow"?"inset ":""}${[x, y, blur, spread]
    .filter((v) => v !== undefined)
    .map((v) => px(v))
    .join(" ")} ${color}`;
};
