import { mergeTypography } from "../om/expand.mjs";
import { pipe } from "../om/index.mjs";
import { sortStyles } from "../om/om.mjs";
import { resolveAll } from "../resolve/index.mjs";
import { expandPaths } from "../resolve/review.mjs";
import { stylizeAll } from "../style/index.mjs";

export const pipeReview = (node, themeNames) => pipe(
  node => resolveAll(node, true),
  stylizeAll,
  mergeTypography,
  sortStyles,
  node => expandPaths(node, themeNames),
)(node);
